﻿package com.fladev.scroller
{	
	import flash.display.Sprite;		
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.text.TextFieldAutoSize;
	
	/**
	 * ...
	 * @author ...Bataglia - www.fladev.com | bataglia85@yahoo.com
	 */
	public class MainClass extends Sprite 
	{
		
		private static const xmlFile:String = "example.xml"
		private var xml:XML;
		private var urlLoader:URLLoader;		
		private var speed:Number = 5;
		
		public function MainClass() {	
			urlLoader = new URLLoader();
			urlLoader.load(new URLRequest(xmlFile));
			urlLoader.addEventListener(Event.COMPLETE, showXML);
			
			up_arrow.addEventListener(MouseEvent.MOUSE_DOWN, doAction);
			down_arrow.addEventListener(MouseEvent.MOUSE_DOWN, doAction);			
			up_arrow.addEventListener(MouseEvent.MOUSE_UP, releaseButton);
			down_arrow.addEventListener(MouseEvent.MOUSE_UP, releaseButton);
			
			content.txt.autoSize = TextFieldAutoSize.LEFT;
		}
		
		private function doAction(e:MouseEvent):void 
		{
			switch(e.currentTarget.name) {
				case "up_arrow":
					if (content.y < mask_mc.y) {
						content.addEventListener(Event.ENTER_FRAME, goUp);						
					}
				break;
				
				case "down_arrow":
					if ((content.y + content.height) > (mask_mc.y + mask_mc.height)) {
						content.addEventListener(Event.ENTER_FRAME, goDown);
					}
				break;
			}
		}
		
		private function releaseButton(e:MouseEvent):void {			
			content.removeEventListener(Event.ENTER_FRAME, goUp);		
			content.removeEventListener(Event.ENTER_FRAME, goDown);		
		}
		
		private function showXML(e:Event):void 
		{
			xml = new XML(e.target.data); 
			content.txt.htmlText = xml.textnode;		
		}		
		
		private function goUp(e:Event):void {
			content.y += speed;
			
			if (content.y > mask_mc.y) {
				content.removeEventListener(Event.ENTER_FRAME, goUp);
				trace("fin up");
			}
		}
		
		private function goDown(e:Event):void {
			content.y -= speed;
			
			if (content.y + content.height+10 <= mask_mc.y + mask_mc.height) {
				content.removeEventListener(Event.ENTER_FRAME, goDown);	
				trace("fin down");
			}
		}
	}	
}